Subject: Perl changes *after* branch
To: None <>
From: Johnny C. Lam <>
List: tech-pkg
Date: 06/07/2005 18:41:04
This message is purely informative and doesn't impact users who will be 
using the upcoming pkgsrc-2005Q2 branch.

I'm removing perl-5.6.x from pkgsrc *after* pkgsrc-2005Q2 is branched. 
Any packages that rely on perl-5.6.x and don't work with perl>=5.8.x 
will be marked as broken.  This is just a heads-up for any perl-5.6.x 
users out there, and is a warning to start thinking about updating their 
Perl installation.

Also, the Perl package as well as all perl modules package will be 
undergoing pretty substantial changes *after* the pkgsrc-2005Q2 branch 
is cut.  Some of the changes are outlined in my pkgsrcCon slides at:

I also have more sophisticated changes in mind that I have not posted 
yet to this list.  Again, this is just a heads-up for pkgsrc Perl users 
to allow for planning when to update their Perl installation.

Lastly, if anyone would like to take over as maintainer for the Perl 
package, please let me know.


	-- Johnny Lam <>